hw_api::parents
hw_api::replace
Hyperwave API Functions
PHP Manual

# hw_api::remove

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api::remove — Delete an object

### Description

bool hw_api::remove ( array `$parameter` )

Removes an object from the specified parent. Collections will be removed recursively.

### Parameters

`parameter`

  You can pass an optional object query to remove only those objects which match the query. An object will be deleted physically if it is the last instance.

  The parameter array contains the required elements 'objectidentifier' and 'parentidentifier'. If you want to remove a user or group 'parentidentifier' can be skipped.

  The optional parameter 'mode' determines how the deletion is performed. In normal mode the object will not be removed physically until all instances are removed. In physical mode all instances of the object will be deleted immediately. In removelinks mode all references to and from the objects will be deleted as well. In nonrecursive the deletion is not performed recursive. Removing a collection which is not empty will cause an error.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- hw_api::move

hw_api::parents
hw_api::replace
Hyperwave API Functions
PHP Manual